Package com.pixelmed.transfermonitor

# Class TransferMonitor

java.lang.Object
com.pixelmed.transfermonitor.TransferMonitor

public class TransferMonitor extends Object

A class that extends `FilterOutputStream` to track statistics on the transfers.

## Method Summary

Modifier and Type
Method
Description
`void`
`countUp(int n)`
`void`
`countUp(long n)`
`static TransferMonitor`
`newTransferMonitor(TransferMonitoringContext transferMonitoringContext)`
`static String`
`report()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### newTransferMonitor

public static TransferMonitor newTransferMonitor(TransferMonitoringContext transferMonitoringContext)

### report

public static String report()

### countUp

public void countUp(int n)

### countUp

public void countUp(long n)

### toString

public String toString()

Overrides:
  `toString` in class `Object`